Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000115OpenIVTools - Texture editorpublic2012-05-05 10:342012-06-06 18:56
ReporterForuman 
Assigned ToGooD-NTS 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7 (x64)OS Version6.1.7600
Product Version0.9.4 (build 298, "motion-3") 
Target Version1.0 (build 330)Fixed in Version1.0 (build 330) 
Summary0000115: Improve DDS file loading ( Importing Images Causes Massive Quality Loss )
DescriptionWhen importing any type of image file into the archives to replace textures (i.e. diff maps, normal maps, spec maps, etc.), there is always a huge loss of quality when compared to the one that's already in the archive. I have made some nice, high quality textures for cops and other peds, but in the OpenIV preview screen right after importing, there's a massive amount of quality loss, mostly decolorization with some slight pixelation. I've tried saving it in many formats at the highest qualities, including PNG, JPEG, and the original DDS file, but they always lose quality when imported. The saved file looks exactly the same as the original file, minus the texture edits I've made to customize the cops' armpatches and whatnot, so the image program is saving the files correctly. I am pretty confident that OpenIV is causing this bug, because importing the images always results in lower quality, even if I reimport the same image that I exported out of the archive.
Steps To ReproduceReplace any ped diff map, normal map, and/or spec map with one edited in any image editing program in any format. I've only tried componentpeds.img and pedprops.img so far, so this may be happening in other archives as well.
Additional InformationSample image of the problem:

http://img190.imageshack.us/img190/9100/comparisonqt.png [^]

These are before (left) and after (right) screenshots of what OpenIV displays as the preview for a cop's diff_000 map. As you can obviously tell, there's massive decolorization in the right image, rendering most texture mods useless and wasted.
TagsNo tags attached.
GameGrand Theft Auto IV/EfLC
Attached Files

- Relationships
parent of 0000122resolvedGooD-NTS Improve work with DDS files (write new class instead of uning D3DX) 

-  Notes
(0000048)
AXLiberty (reporter)
2012-05-05 15:21

Turn off "Automatically generate MipMap levels".
(0000049)
Foruman (reporter)
2012-05-06 03:09
edited on: 2012-05-06 03:45

> Turn off "Automatically generate MipMap levels".

I've actually never enabled that when creating a whole new archive altogether. The result is even worse texture quality loss, as even the originals suffer from quality loss upon import.

I've also tried importing files spearately instead of creating a whole new archive, same results. I tried importing .dds files that have proper MipMaps, but that still has some quality loss, albiet a lot less than just importing .png files.

Thanks for your input anyway!

(0000051)
GooD-NTS (administrator)
2012-05-06 10:37

@AXLiberty this is not depends from MipMap.

@Foruman try to use DDS file format, because when OpenIV is load DDS it not making any encoding thing like with PNG.
(0000052)
AXLiberty (reporter)
2012-05-06 10:54

@GooD, you can resolved this problem for all texture formats?
(0000053)
GooD-NTS (administrator)
2012-05-06 10:59

@AXLiberty the problem is I'm not doing anything with textures, all compressing, MipMag generating etc is made my DirectX.
(0000054)
Foruman (reporter)
2012-05-07 04:22

Thanks for all of the responses!

As I've said, I've already tried saving my texture as a .dds file complete with its own MipMaps in Fireworks. The texture looks fine in Fireworks and in Windows Image Viewer, so the file doesn't have any problems. The moment OpenIV imports it into the archive, it loses quality.

If you look at my original message (and the additional notes), I said I've already tried using all file formats I can think of for the same texture. This includes: .png, .dds, .jpeg, .tga, and .bmp. None of them retain the original quality of how it looks in the file and in Fireworks upon importing into the game using OpenIV. I believe OpenIV may have a compression bug or something that is degrading the quality of the texture file as it is imported into the archive.

Even starting a brand new archive with all of the files I want in it will have significant quality loss, and what's weird is that even the original, unmodified game files will lose quality when being imported back into the game.
(0000055)
GooD-NTS (administrator)
2012-05-07 08:16

@Foruman Can you please email one of your DDS to me (good.nts @ gmail.com), because when I export original game texture to DDS and then import it back to WTD it not loosing quality.
(0000056)
Foruman (reporter)
2012-05-15 08:18
edited on: 2012-05-15 08:19

@GooD-NTS

Sample .dds file sent. Also sent a comparison of the before-after importing screenshot. There's still quality loss even when importing .dds texture files (for me, this is happening with even the original game files as .dds textures).

(0000057)
GooD-NTS (administrator)
2012-05-21 11:09

The fix can be made only for DDS Images at the current time.
(0000058)
Foruman (reporter)
2012-05-22 08:26
edited on: 2012-05-22 08:28

@GooD-NTS

Alright, that still sounds good. Any fix would be appreciated, as long as there's a way to import the textures without any quality loss.

My guess is that it is linked to the DXT5 setting, as using A8R8G8B8 to import the textures appear to be fine, but this causes the textures to not use MipMaps, as that is only supported for the "DXT" setting. But, I think that MipMaps are needed for ped textures only? Since vehicle textures don't use MipMaps, and importing vehicle textures are OK, even importing just PNG files.

Hope that helps you and your team fix the problem! I hope that in the future, you guys can fix it for all the file formats, especially PNG files, because that's the one that's most frequently used!

Thank you!


- Issue History
Date Modified Username Field Change
2012-05-05 10:34 Foruman New Issue
2012-05-05 15:21 AXLiberty Note Added: 0000048
2012-05-06 03:09 Foruman Note Added: 0000049
2012-05-06 03:34 Foruman Note Edited: 0000049 View Revisions
2012-05-06 03:39 Foruman Note Edited: 0000049 View Revisions
2012-05-06 03:43 Foruman Note Edited: 0000049 View Revisions
2012-05-06 03:45 Foruman Note Edited: 0000049 View Revisions
2012-05-06 10:37 GooD-NTS Note Added: 0000051
2012-05-06 10:54 AXLiberty Note Added: 0000052
2012-05-06 10:59 GooD-NTS Note Added: 0000053
2012-05-07 04:22 Foruman Note Added: 0000054
2012-05-07 08:16 GooD-NTS Note Added: 0000055
2012-05-07 08:17 GooD-NTS Assigned To => GooD-NTS
2012-05-07 08:17 GooD-NTS Status new => feedback
2012-05-07 08:17 GooD-NTS Category Archive editing - IMG => Tools - Texture editor
2012-05-15 08:18 Foruman Note Added: 0000056
2012-05-15 08:18 Foruman Status feedback => assigned
2012-05-15 08:19 Foruman Note Edited: 0000056 View Revisions
2012-05-17 10:51 GooD-NTS Game GTA IV => Grand Theft Auto IV/EfLC
2012-05-21 11:09 GooD-NTS Note Added: 0000057
2012-05-21 11:09 GooD-NTS Target Version => 1.0 (build 330)
2012-05-21 11:09 GooD-NTS Summary Importing Images Causes Massive Quality Loss => Improve DDS file loading ( Importing Images Causes Massive Quality Loss )
2012-05-22 08:26 Foruman Note Added: 0000058
2012-05-22 08:28 Foruman Note Edited: 0000058 View Revisions
2012-05-22 15:07 GooD-NTS Relationship added parent of 0000122
2012-06-06 18:56 GooD-NTS Status assigned => resolved
2012-06-06 18:56 GooD-NTS Fixed in Version => 1.0 (build 330)
2012-06-06 18:56 GooD-NTS Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker